Subject: bug#4710: 23.1.50; Bad display of underlines crossing line boundaries

From: Andrew Hyatt <[email-masked]>
Date: Thu, 14 Jul 2016 00:15:40 -0400

"Drew Adams" <[email-masked]> writes:

>> > Not doing so could give the impression that there is 
>> > actually a break (change) in the face attributes when
>> > there is not.  If you do that, then perhaps some additional
>> > display artifact should convey that -
>> > e.g., perhaps a different fringe marker.
>> 
>> Again, you seem to be confused: I'm specifically talking about "face
>> continuations", i.e. ways to express the fact that the face continues
>> rather than being broken.  That's the whole point of the two ? in
>> my example.  Please make sure there's an actual disagreement before
>> jumping on your keyboard ;-)
>
> Great, so you jumped on your keyboard to express your violent agreement. ;-)
>
> At any rate, it looks like your and my proposals for such a
> line-wrapping-without-breaking case, while perhaps interesting, do not
> correspond to the bug reported.
>
> It appears that the OP was indeed about face extension across (hard) line breaks
> into indented text on the next line.
>
> That was what my original response was to: If it hurts, don't do it; and let's
> not assume that whitespace should not show the face attributes of the adjacent
> text just because it represents indentation.

Now we are almost 5 years into the future, and this bug hasn't been
updated.  Drew's response didn't get agreement or disagreement, so would
anyone object if we considered this not a bug, as he suggests?